Skip to content
GET/{organizationId}/finance/receipts/textBlocks/{blockId}

Get receipt text block

Returns a specific receipt text block with all of its details for a given organization

Required permissions:

  • receiptTextBlock.read

Path Parameters

organizationIdstringrequired
blockIdstringrequired

Authentication: X-API-Key

Request

GET/{organizationId}/finance/receipts/textBlocks/{blockId}
curl --request GET 'https://cloud.campai.com/api/{organizationId}/finance/receipts/textBlocks/{blockId}' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

typestringrequired

Options:

titleintrodeliveryTermsnote
receiptTypestringrequired

Options:

invoicedepositdonationofferconfirmationinvoiceRefund
titlestringoptional

maxLength: 30

introstringoptional

maxLength: 2000

deliveryTermsstringoptional

maxLength: 255

notestringoptional

maxLength: 2000

standardbooleanrequired
createdAtdate-time | nulloptional

Response

200
{
  "_id": "000000000000000000000001",
  "type": "title",
  "receiptType": "invoice",
  "standard": true
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}